@echo off
echo off
set PATH=C:\Program Files (x86)\mingw-w64\i686-6.3.0-posix-dwarf-rt_v5-rev1\mingw32\bin;%PATH%

IF [%1]==[] (
echo Enter the name of the input file [without .dat extension]
echo Please do not use spaces in filename
set /p filename=Enter filename: %=%
) else (
set %filename%=%1
)

IF NOT EXIST %filename%.dat ( 
echo Your file %filename%.dat does not exist - check your typing
echo The name of the input file should be entered [without .dat extension]
echo Please do not use spaces in filename
pause
exit /b
)

echo:
echo Copying input file (%filename%.dat) to default input filename for program (HKLNEW.DAT) 
copy %filename%.dat HKLNEW.DAT
echo:
echo Calling Huckel program - Running hklnew

hklnew

echo:
echo Did Huckel program end correctly ? i.e. exited with "Stop - Program terminated"
echo - If not check input file - there may be trailing blank lines or input errors
echo:
echo Renaming default output file to match input filename
copy HKLNEW.OUT %filename%.out
echo Output file stored in %filename%.out
echo:
echo Look at the output of the calculation in %filename%.out using Wordpad
echo Calling Wordpad to load the output of your calculation
echo:
start /wait write.exe %filename%.out


pause
     
